<?php

include_once(dirname(__FILE__).'/Base.php');

class TypeColor extends TypeBase
{
  function __construct(FormManager $FormManager)
  {
    parent::__construct($FormManager);
    $this->DatabaseCompareOperators = array('Rovno' => '=', 'Nerovno' => '!=');
  }

  function OnView(array $Item): ?string
  {
    $Output = '<span style="background-color: #'.$Item['Value'].'">&nbsp;&nbsp;&nbsp;&nbsp;</span>';
    return $Output;
  }

  function OnEdit(array $Item): string
  {
    $Output = '<input type="text" name="'.$Item['Name'].'" value="'.$Item['Value'].'"/>';
    return $Output;
  }

  function OnLoad(array $Item): ?string
  {
    return $_POST[$Item['Name']];
  }
}
