<?php

include_once(dirname(__FILE__).'/Base.php');

class TypeEnumeration extends TypeBase
{
  function OnView($Item): ?string
  {
    $Type = $this->FormManager->Type->GetTypeDefinition($Item['Type']);
    if (array_key_exists($Item['Value'], $Type['Parameters']['States']))
      $Output = $Type['Parameters']['States'][$Item['Value']];
      else $Output = $Item['Value'];
    return $Output;
  }

  function OnEdit(array $Item): string
  {
    $Type = $this->FormManager->Type->GetTypeDefinition($Item['Type']);
    $Output = '<select name="'.$Item['Name'].'">';
      if (array_key_exists('Null', $Item) and $Item['Null'])
    {
      if ($Item['Value'] == NULL) $Selected = ' selected="1"'; else $Selected = '';
      $Output .= '<option value=""'.$Selected.'></option>';
    }
    foreach ($Type['Parameters']['States'] as $Index => $StateName)
    {
      if ($Item['Value'] == $Index) $Selected = ' selected="1"'; else $Selected = '';
      $Output .= '<option value="'.$Index.'"'.$Selected.'>'.$StateName.'</option>';
    }
    $Output .= '</select>';
    return $Output;
  }

  function OnLoad(array $Item): ?string
  {
    if ($_POST[$Item['Name']] == '') return NULL;
    return $_POST[$Item['Name']];
  }

  function OnLoadDb(array $Item): ?string
  {
    if ($Item['Value'] == '') return NULL;
    else return $Item['Value'];
  }
}
