<?php

include_once(dirname(__FILE__).'/Base.php');

class TypeText extends TypeBase
{
  function __construct(FormManager $FormManager)
  {
    parent::__construct($FormManager);
    $this->DatabaseCompareOperators = array('Jako' => 'LIKE', 'Rovno' => '=', 'Nerovno' => '!=');
  }

  function OnView(array $Item): ?string
  {
    $Output = str_replace("\n", '<br/>', strip_tags($Item['Value']));
    return $Output;
  }

  function OnEdit(array $Item): string
  {
    $Output = '<textarea name="'.$Item['Name'].'">'.$Item['Value'].'</textarea>';
    return $Output;
  }

  function OnLoad(array $Item): ?string
  {
    return $_POST[$Item['Name']];
  }

  function DatabaseEscape(string $Value): string
  {
    return '"'.addslashes($Value).'"';
  }
}
