<?php

include_once(dirname(__FILE__).'/Generators/Signal.php');

class ModuleNetworkConfigAirOS extends Module
{
  function __construct(System $System)
  {
    parent::__construct($System);
    $this->Name = 'NetworkConfigAirOS';
    $this->Version = '1.0';
    $this->Creator = 'Chronos';
    $this->License = 'GNU/GPLv3';
    $this->Description = 'Network service configuration of Ubiquity AirOS devices';
    $this->Dependencies = array(ModuleNetworkConfig::GetName());
  }

  function DoStart(): void
  {
    ModuleNetworkConfig::Cast($this->System->GetModule('NetworkConfig'))->RegisterConfigItem('airos-signal', 'ConfigAirOSSignal');
  }
}
