<?php

class CableTVChennelListPage extends Page
{
  function __construct(System $System)
  {
    parent::__construct($System);
    $this->Title = 'Kanály kabelové televize';
    $this->Description = 'Seznam televizních kanálů místní kabelové televize';
  }

  function Show(): string
  {
    $Output = '<div align="center"><strong>Výpis kanálů:</strong><br>'.
'<table class="WideTable">'.
'<tr><th>Číslo</th<th>Jméno stanice</th><th>Frekvence [MHz]</th><th>Jazyk</th></tr>';
    $DbResult = $this->Database->select('TV', '*', ' 1 ORDER BY Id');
    while ($Row = $DbResult->fetch_array())
    {
      $Output .= '<tr><td>'.$Row['Id'].'</td><td><a href="'.$Row['Homepage'].'">'.$Row['Name'].'</a></td><td align="right">'.($Row['Frequency'] / 1000).'</td><td>'.$Row['Language'].'</td></tr>';
    }
    $Output .= '</table>Aktualizováno dne 17.12.2007<br></div>';
    return $Output;
  }
}

$Page = new CableTVChennelListPage($System);
$Page->GetOutput();
