<?php

include_once(dirname(__FILE__).'/Base.php');

class TypeBoolean extends TypeBase
{
  function __construct(FormManager $FormManager)
  {
    parent::__construct($FormManager);
    $this->DatabaseCompareOperators = array('Rovno' => '=', 'Nerovno' => '!=');
  }

  function OnView(array $Item): ?string
  {
    if ($Item['Value'] == 1) $Checked = ' checked="1"'; else $Checked = '';
    return '<input type="checkbox" name="'.$Item['Name'].'" disabled="1"'.$Checked.'/>';
  }

  function OnEdit(array $Item): string
  {
    if ($Item['Value'] == 1) $Checked = ' checked="1"'; else $Checked = '';
    return '<input type="checkbox" name="'.$Item['Name'].'"'.$Checked.'/>';
  }

  function OnLoad(array $Item): ?string
  {
    if (array_key_exists($Item['Name'], $_POST)) return 1;
      else return 0;
  }

  function OnCanLoad(array $Item): bool
  {
    return true;
  }
}
