<?php

include_once(dirname(__FILE__).'/Base.php');

class TypeIPv6Address extends TypeBase
{
  function OnView(array $Item): ?string
  {
    $Output = $Item['Value'];
    return $Output;
  }

  function OnEdit(array $Item): string
  {
    $Output = '<input type="text" name="'.$Item['Name'].'" value="'.$Item['Value'].'"/>';
    return $Output;
  }

  function OnLoad(array $Item): ?string
  {
    return $_POST[$Item['Name']];
  }

  function Validate(array $Item): bool
  {
    if ($Item['Null'] and ($Item['Value'] == '')) return true;
    return filter_var($Item['Value'], FILTER_VALIDATE_IP, array('flags' => FILTER_FLAG_IPV6));
  }

  function GetValidationFormat(): string
  {
    return 'xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx kde x je hexa hodnota 0..f';
  }
}
