<?php

include('FioAPI.php');

$Fio = new FioAPI();
$Fio->Token = '';
$Records = $Fio->Import(time() - 3600 * 24 * 31 * 2, time());

echo('<!DOCTYPE html>');
echo('<html><head><meta charset="utf-8"></head><body>');
echo('<table border="1">');
foreach ($Records as $Record)
{
  echo('<tr>');
  if ($Record['Type'] == GPC_TYPE_REPORT)
  {
    echo('<td>Jméno účtu: '.$Record['AccountName'].'</td>');
    echo('<td>Číslo účtu: '.$Record['AccountNumber'].'</td>');
    echo('<td>Ke dni '.date('j.n.Y', $Record['OldBalanceDate']).' je stav účtu '.$Record['OldBalanceValue'].' Kč</td>');
    echo('<td>Ke dni '.date('j.n.Y', $Record['Date']).' je stav účtu '.$Record['NewBalanceValue'].' Kč</td>');
    echo('<td>Suma příjmů: '.$Record['CreditValue'].' Kč</td>');
    echo('<td>Suma výdajů: '.$Record['DebitValue'].' Kč</td>');

    echo('</tr></table><br><br>');
    echo('<table border="1"><tr>');

    echo('<th>Datum</th>');
    echo('<th>Částka</th>');
    echo('<th>Účet protistrany</th>');
    echo('<th>Kód banky</th>');
    echo('<th>KS</th>');
    echo('<th>VS</th>');
    echo('<th>SS</th>');
    echo('<th>Uživatelská identifikace</th>');
  } else
  if ($Record['Type'] == GPC_TYPE_ITEM)
  {
    echo('<td>'.date('j.n.Y', $Record['DueDate']).'</td>');
    echo('<td>'.$Record['Value'].'</td>');
    echo('<td>'.$Record['OffsetAccount'].'</td>');
    echo('<td>'.$Record['BankCode'].'</td>');
    echo('<td>'.$Record['ConstantSymbol'].'</td>');
    echo('<td>'.$Record['VariableSymbol'].'</td>');
    echo('<td>'.$Record['SpecificSymbol'].'</td>');
    echo('<td>'.$Record['ClientName'].'</td>');
  }
  echo('</tr>');

}
echo('</table>');
echo('</body></html>');
