<?php

class ModuleMonitoring extends Module
{
  function __construct(System $System)
  {
    parent::__construct($System);
    $this->Name = 'Monitoring';
    $this->Version = '1.0';
    $this->Creator = 'Chronos';
    $this->License = 'GNU/GPLv3';
    $this->Description = 'Monitoring for various states';
  }

  function DoStart(): void
  {
    $this->System->RegisterPage(['monitoring'], 'PageMonitoring');
  }
}

class PageMonitoring extends Page
{
  function __construct(System $System)
  {
    parent::__construct($System);
    $this->Title = 'Monitoring';
    $this->ParentClass = 'PagePortal';
  }

  function Show(): string
  {
    $Output = '';
    return $Output;
  }
}
