<?php

include_once('../Application/Core.php');

class BlockPage extends Page
{
  private array $Reasons = array(
    0 => 'Internet máte povolen, avšak došlo k chybě při kontrole přístupů k Internetu.',
    1 => 'Váš počítač má blokován přístup k internetu. Pravděpodobně je váš účet v mínusu. Přihlaste se do systému a zkontrolujte stav vašich plateb. ',
    2 => 'Váš účet je v mínusu. Zaplaťte prosím chybějící peníze.',
    3 => 'Přistupovat k internetu můžete pouze pomocí VPN(Virtuální Privátní Sítě). Aktivujte toto připojení.',
    4 => 'Váš počítač není registrován. Zaregistrujte jej prosím.'
  );

  function __construct(System $System)
  {
    parent::__construct($System);
    $this->Title = 'Blokování internetu';
  }

  function Show(): string
  {
    $Output = '<br/><div style="font-size: 20 pt;">Máte blokován přístup k Internetu.</div>
<br/>
<strong>Důvod:</strong> ';

    $DbResult = $this->Database->query('SELECT * FROM NetworkInterface WHERE LocalIP="'.GetRemoteAddress().'"');
    if ($DbResult->num_rows > 0)
    {
      $Interface = $DbResult->fetch_array();
      $DbResult = $this->Database->select('NetworkDevice', '*', 'Id='.$Interface['Device']);
      $Device = $DbResult->fetch_array();
      $DbResult = $this->Database->select('Member', '*', 'Id='.$Device['Member']);
      $Member = $DbResult->fetch_array();

      if ($Member['Blocked'] == 1)
      {
        $Output .= $this->Reasons[1];
      } else $Output .= $this->Reasons[0];
    } else $Output .= $this->Reasons[4];

    $Output .= '<br/><br/>V případě problémů kontaktujte technickou podporu na telefonu 737785792<br/><br/>';
    $Output .= '</body></html>';
    return $Output;
  }
}

$System = new Core();
$System->ShowPage = false;
$System->Run();
$Page = new BlockPage($System);
echo($Page->GetOutput());
